Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ExecuteExplainOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ExecuteExplain`, `ClientWireProtocol.ExecuteExplain.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ExecuteExplainOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getForce()` | `bool force = 2;`
`ClientWireProtocol.ExplainFormat` | `getFormat()` | `.xg.cmdcomp.ExplainFormat format = 3;`
`int` | `getFormatValue()` | `.xg.cmdcomp.ExplainFormat format = 3;`
`String` | `getSql()` | `string sql = 1;`
`com.google.protobuf.ByteString` | `getSqlBytes()` | `string sql = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getSql

String getSql()
`string sql = 1;`

Returns:
  The sql.

### getSqlBytes

com.google.protobuf.ByteString getSqlBytes()
`string sql = 1;`

Returns:
  The bytes for sql.

### getForce

boolean getForce()
`bool force = 2;`

Returns:
  The force.

### getFormatValue

int getFormatValue()
`.xg.cmdcomp.ExplainFormat format = 3;`

Returns:
  The enum numeric value on the wire for format.

### getFormat

ClientWireProtocol.ExplainFormat getFormat()
`.xg.cmdcomp.ExplainFormat format = 3;`

Returns:
  The format.